Bug 996722 - tuned profile CPU governor controls must account for CPU generation
tuned profile CPU governor controls must account for CPU generation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned (Show other bugs)
7.0
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Jaroslav Škarvada
Branislav Blaškovič
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 15:39 EDT by Jeremy Eder
Modified: 2014-06-18 03:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: tuned-2.3.0-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Newer Intel CPUs default to the intel_pstate driver. Consequence: The instel_pstate driver moves the control to the CPU. It doesn't directly control the stepping, it only sets the policy requirements. As a consequence there is no ondemand governor and there are different knobs in comparison to the acpi_cpufreq driver. Previously tuned knows only the cpufreq interface. Fix: Support for intel_pstate driver was added into Tuned. Result: Tuned now detects the intel_pstate driver if in use, use it's knobs and doesn't try to set the unsupported governors.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:53:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Jaroslav Škarvada 2013-11-05 17:02:01 EST
Fixed by upstream commit:
https://git.fedorahosted.org/cgit/tuned.git/commit/?id=94e383a5edd3d165f725b45cbd75ca795ca34a8d
Comment 6 Branislav Blaškovič 2014-02-12 06:59:04 EST
I can see this patch in tuned-2.3.0-6.el7.noarch. It should be working but I cannot test this deeper.

Marking verified.
Comment 7 Ludek Smid 2014-06-13 07:53:35 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.